org.apache.lucene.analysis.payloads

## Class AbstractEncoder

- java.lang.Object
- - org.apache.lucene.analysis.payloads.AbstractEncoder

- All Implemented Interfaces:
    PayloadEncoder
  Direct Known Subclasses:
    FloatEncoder, IdentityEncoder, IntegerEncoder

      public abstract class AbstractEncoder
      extends java.lang.Object
      implements PayloadEncoder

  Base class for payload encoders.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEncoder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.index.Payload` | `encode(char[] buffer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.analysis.payloads.PayloadEncoder

      `encode`

- - ### Constructor Detail

    - #### AbstractEncoder

          public AbstractEncoder()

  - ### Method Detail

    - #### encode

          public org.apache.lucene.index.Payload encode(char[] buffer)

      Specified by:
        `encode` in interface `PayloadEncoder`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.